Subscriptions
Fetch a Subscription With ID
Fetch a Subscription using the unique identifier.
GET
Available in🇮🇳 India🇸🇬 Singapore🇺🇸 United States
Use this endpoint to fetch a Subscription by the unique identifier.
Path Parameters
string
required
The unique identifier linked to a Subscription. For example,
sub_00000000000001.Response Parameters
string
The unique identifier of the subscription created. For example,
sub_00000000000001.string
The entity being created. Here, it will be
subscription.string
The unique identifier for a plan that is linked to the created subscription. For example,
plan_00000000000001.string
The unique identifier of the customer linked to the subscription. This is populated automatically once the customer completes the authorisation transaction. For example,
cust_00000000000001.string
Status of the subscription. Refer to the life cycle section for more details. Possible values:
createdauthenticatedactivependinghaltedcancelledcompletedexpired
integer
Unix timestamp. The start time of the current billing cycle of the subscription. For example,
1581013800.integer
Unix timestamp. The end time of the current billing cycle of the subscription. For example,
1581013800.integer
The timestamp, in Unix format, when the subscription was completed or was cancelled. For example,
1581013800.integer
The number of times the plan should be linked to the subscription. For example, if the plan is ₹100/user/month and the customer has 5 users, you should pass 5 as the quantity to have the customer charged ₹500 (5 x ₹100) monthly. By default, this value is set to 1.
object
Notes you can enter for the contact for future reference. This is a key-value pair. You can enter a maximum of 15 key-value pairs. For example,
"note_key": "Beam me up Scotty”.integer
Unix timestamp. This indicates when the next charge on the subscription should be made. For example,
1581013800.string
The unique identifier of the offer that should be linked to the subscription. For example,
offer_JHD834hjbxzhd38d.integer
The timestamp, in Unix format, when the subscription should start. If not passed, the subscription starts immediately after the authorisation payment. For example,
1581013800.integer
The timestamp, in Unix format, when the subscription should end. For example,
1581013800.integer
The number of times that the charge for the current billing cycle has been attempted on the card. For example,
2.integer
The number of billing cycles for which the customer should be charged. For example,
2. We support subscriptions for a maximum duration of 100 years. The number of billing cycles depends if the subscription is daily, weekly, monthly or yearly.integer
This indicates the number of billing cycles for which the customer has already been charged. For example,
2.boolean
Indicates whether the communication to the customer would be handled by businesses or Razorpay.
true: Communication handled by Razorpay. Defaults totrue.false: Communication handled by businesses.
integer
The timestamp, in Unix format, when the subscription was created. For example,
1581013800.integer
The timestamp, in Unix format, till when the customer can make the authorisation payment. For example,
1581013800.string
URL that can be used to make the authorisation payment. For example,
https://rzp.io/i/PWtAiEo.boolean
Indicates if the subscription has any scheduled changes. Possible values:
true: Subscription has scheduled changes.false: Subscription does not have scheduled changes.
string
Represents when the subscription should be updated. Possible values:
now(default): Updates the subscription immediately.cycle_end: Updates the subscription at the end of the current billing cycle.
integer
This indicates the number of billing cycles remaining on the subscription. For example,
2.string
The customer’s phone number associated with the subscription.
string
The customer’s email address associated with the subscription.
string
The payment method used for the subscription, such as card, emandate, or UPI.
integer
Timestamp, in Unix format, when a scheduled update on this subscription is set to take effect.
null when no update is pending.string
The origin of the subscription. One of
api (created via API), dashboard, or links.Errors
ub_id%7D is not a valid id
ub_id%7D is not a valid id
Code:
For example,
400This error occurs when you are not passing the right subscription_id in the API endpoint to fetch a plan based on the id.Solution: Ensure that you are passing the right subscription_id in the API endpoint. For example,
https://api.razorpay.com/v1/subscriptions/sub_KA8rfWnXwyEw0j.The API key/secret provided is invalid.
The API key/secret provided is invalid.
Code:
4xxThe API credentials passed in the API call differ from the ones generated on the Dashboard.Solution: The API keys must be active and entered correctly with no whitespace before or after.The ID provided is invalid or could not be found.
The ID provided is invalid or could not be found.
Code:
400The subscription_id passed in the URL is well-formed but does not exist or does not belong to the requesting merchant.Solution: Use a valid subscription_id returned from POST /v1/subscriptions. Confirm by fetching the subscription list before retrying.